List the review queue
GET
/v1/review
const url = 'https://api.pensievelabs.co/v1/review?limit=20&state=open&kind=unsure';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.pensievelabs.co/v1/review?limit=20&state=open&kind=unsure' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”limit
integer
cursor
string
The next_cursor of the page before.
model
string
state
string
kind
unsure: the model fell under its threshold. disagreement: the outcome went against the model. signoff: a release waits for an expert.
string
Responses
Section titled “Responses”A page of review cases.
Media typeapplication/json
object
object
required
has_more
required
boolean
next_cursor
required
string | null
data
required
Array<object>
object
id
required
string
object
required
model
required
string
kind
required
unsure: the model fell under its threshold. disagreement: the outcome went against the model. signoff: a release waits for an expert.
string
state
required
string
call_id
required
string | null
release_id
required
string | null
model_answer
required
string | null
confidence
required
number | null
outcome
required
string | null
answer
required
string | null
answered_by
required
string | null
created_at
required
string format: date-time
Example
{ "object": "list", "data": [ { "id": "rev_grade_01", "object": "review_case", "kind": "unsure", "state": "open" } ]}default
Section titled “default”Something went wrong; error.type says what.
Media typeapplication/json
object
error
required
object
type
required
string
message
required
string
param
The request field the error is about.
string | null
request_id
required
string
Example
{ "error": { "type": "invalid_request" }}